import axios from "@/utils/request";

export function devicePlanDetailGroupPage(query) {
    return axios(
        {
            url: "/udi/device/plan/detailGroup/page",
            method: "POST",
            data: query
        }
    )
}
export function devicePlanDetailPage(query) {
    return axios(
        {
            url: "/udi/device/plan/detail/page",
            method: "POST",
            data: query
        }
    )
}

export function devicePlanDetailAdd(query) {
    return axios(
        {
            url: "/udi/device/plan/detail/add",
            method: "POST",
            data: query
        }
    )
}

export function devicePlanDetailDel(planId,productId) {
    return axios(
        {
            url: `/udi/device/plan/detail/delByProductId/${planId}/${productId}`,
            method: "DELETE"
        }
    )
}

export function devicePlanDetailDelByDeviceCode(planId,deviceCode) {
    return axios(
        {
            url: `/udi/device/plan/detail/delByDeviceCode/${planId}/${deviceCode}`,
            method: "DELETE"
        }
    )
}

